<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */
class Pruefziffer_82 implements IPruefziffer
{
  public static function check($pKtoNr, $pBlz, $pGewichtung = array(), $pPruefZifferStelle = 9)
  {
    $ktoNr = \str_pad($pKtoNr, 10, '0', STR_PAD_LEFT);

    if (substr($ktoNr, 2, 2) == '99') {
      return Pruefziffer_10::check($ktoNr, $pBlz);
    }

    $gewichtung = array(0, 2, 3, 4, 5, 6, 0, 0, 0, 0);

    return Pruefziffer_33::check($ktoNr, $pBlz, $gewichtung);
  }
}